package com.ruoyi.attendance.domain;

import java.sql.Time;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.LocalTime;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.Getter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 考勤打卡对象 attendance_clock
 * 
 * @author ruoyi
 * @date 2025-03-04
 */
@Getter
@TableName("attendance_clock")
public class AttendanceClock extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 工号ID */
    private String employeeId;

    /** 关联用户表主键user_id */
    private Long userId;

    /** 关联部门表主键dept_id */
    private Long deptId;

    /** 关联项目表主键 */
    private Long projectId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String employeeName;

    /** 部门 */
    @Excel(name = "部门")
    private String departmentName;

    /** 打卡日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "打卡日期", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDate candidateDate;

    /** 打卡时段 */
    @Excel(name = "打卡时段", dictType = "time_difference")
    private String isClock;

    /** 打卡时间 */
    @JsonFormat(pattern = "HH:mm", timezone="GMT+8")
    @Excel(name = "打卡时间", width = 30, dateFormat = "HH:mm")
    private LocalTime clockTime;

    /** 打卡状态 */
    @Excel(name = "打卡状态" , dictType = "clock_status")
    private String checkInStatus;

    /** 提交人 */
    private String creatBy;

    /** 创建时间 */
    private LocalDateTime creatTime;

    /** 草稿箱 0:否 1:是 */
    private String draft;

    /** 删除标记 0:否 1:是 */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public void setEmployeeId(String employeeId)
    {
        this.employeeId = employeeId;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public void setEmployeeName(String employeeName)
    {
        this.employeeName = employeeName;
    }

    public void setDepartmentName(String departmentName)
    {
        this.departmentName = departmentName;
    }

    public void setCandidateDate(LocalDate candidateDate)
    {
        this.candidateDate = candidateDate;
    }

    public void setIsClock(String isClock)
    {
        this.isClock = isClock;
    }

    public void setClockTime(LocalTime clockTime)
    {
        this.clockTime = clockTime;
    }

    public void setCheckInStatus(String checkInStatus)
    {
        this.checkInStatus = checkInStatus;
    }

    public void setCreatBy(String creatBy)
    {
        this.creatBy = creatBy;
    }

    public void setCreatTime(LocalDateTime creatTime)
    {
        this.creatTime = creatTime;
    }

    public void setDraft(String draft)
    {
        this.draft = draft;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("employeeId", getEmployeeId())
            .append("userId", getUserId())
            .append("deptId", getDeptId())
            .append("projectId", getProjectId())
            .append("employeeName", getEmployeeName())
            .append("departmentName", getDepartmentName())
            .append("candidateDate", getCandidateDate())
            .append("isClock", getIsClock())
            .append("clockTime", getClockTime())
            .append("checkInStatus", getCheckInStatus())
            .append("creatBy", getCreatBy())
            .append("creatTime", getCreatTime())
            .append("updateTime", getUpdateTime())
            .append("draft", getDraft())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
