package com.ruoyi.attendance.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.attendance.domain.AttendanceClock;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * 考勤打卡Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-04
 */
@Mapper
public interface AttendanceClockMapper extends BaseMapper<AttendanceClock>
{
    /**
     * 查询考勤打卡
     * 
     * @param id 考勤打卡主键
     * @return 考勤打卡
     */
    public AttendanceClock selectAttendanceClockById(Long id);

    /**
     * 查询考勤打卡列表
     * 
     * @param attendanceClock 考勤打卡
     * @return 考勤打卡集合
     */
    public List<AttendanceClock> selectAttendanceClockList(AttendanceClock attendanceClock);

    /**
     * 新增考勤打卡
     * 
     * @param attendanceClock 考勤打卡
     * @return 结果
     */
    public int insertAttendanceClock(AttendanceClock attendanceClock);

    /**
     * 修改考勤打卡
     * 
     * @param attendanceClock 考勤打卡
     * @return 结果
     */
    public int updateAttendanceClock(AttendanceClock attendanceClock);

    /**
     * 删除考勤打卡
     * 
     * @param id 考勤打卡主键
     * @return 结果
     */
    public int deleteAttendanceClockById(Long id);

    /**
     * 批量删除考勤打卡
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAttendanceClockByIds(Long[] ids);
    /**
     * 批量导入
     */
    void batchInsertAttendanceClock( List<AttendanceClock> records);
}
