package com.ruoyi.attendance.service;

import com.ruoyi.attendance.domain.AttendanceClock;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;


/**
 * 考勤打卡Service接口
 * 
 * @author ruoyi
 * @date 2025-03-04
 */
public interface IAttendanceClockService 
{
    /**
     * 查询考勤打卡
     * 
     * @param id 考勤打卡主键
     * @return 考勤打卡
     */
    public AttendanceClock selectAttendanceClockById(Long id);

    /**
     * 查询考勤打卡列表
     * 
     * @param attendanceClock 考勤打卡
     * @return 考勤打卡集合
     */
    public List<AttendanceClock> selectAttendanceClockList(AttendanceClock attendanceClock);
    /**
     * 查询草稿箱列表
     *
     * @param attendanceClock 考勤打卡
     * @return 考勤打卡集合
     */
    List<AttendanceClock> selectAttendanceClockDraftList(AttendanceClock attendanceClock);

    /**
     * 新增考勤打卡
     * 
     * @param attendanceClock 考勤打卡
     * @return 结果
     */
    public int insertAttendanceClock(AttendanceClock attendanceClock);
    /**
     * 保存到草稿箱
     *
     * @param attendanceClock 考勤打卡
     * @return 结果
     */
    public int insertAttendanceClockDraft(AttendanceClock attendanceClock);

    /**
     * 修改考勤打卡
     * 
     * @param attendanceClock 考勤打卡
     * @return 结果
     */
    public int updateAttendanceClock(AttendanceClock attendanceClock);

    /**
     * 批量删除考勤打卡
     * 
     * @param ids 需要删除的考勤打卡主键集合
     * @return 结果
     */
    public int deleteAttendanceClockByIds(Long[] ids);

    /**
     * 删除考勤打卡信息
     * 
     * @param id 考勤打卡主键
     * @return 结果
     */
    public int deleteAttendanceClockById(Long id);

    /**
     * 导入考勤打卡信息
     *
     * @param file 考勤打卡主键
     */
    void importAttendanceData(MultipartFile file) throws IOException;



}
