package com.ruoyi.controller;

import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.domain.dto.ApprovalConfigurationDTO;
import com.ruoyi.domain.vo.ApprovalConfigurationMainVo;
import com.ruoyi.domain.vo.DailyBaoXiaoApprovalVo;
import com.ruoyi.service.IApprovalConfigurationService;
import com.ruoyi.service.IExpenseApprovalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

//审批配置
@RestController
@RequestMapping("/approvalConfiguration")
public class ApprovalConfigurationController extends BaseController {



    @Autowired
    private IApprovalConfigurationService approvalConfigurationService;

    //获取审批页面列表
    @GetMapping("/getList")
    public TableDataInfo getList(ApprovalConfigurationDTO configurationDTO){
        startPage();
        return getDataTable(approvalConfigurationService.getALLList(configurationDTO));
    }



    //获取全部角色
    @GetMapping("/getAllRoleList")
    public AjaxResult getAllRoleList(){
        return AjaxResult.success(approvalConfigurationService.getAllRole());
    }

    //新增审批
    @PostMapping("/insertApproval")
    public AjaxResult insertApproval(@RequestBody ApprovalConfigurationMainVo mainVo){

        return AjaxResult.success(approvalConfigurationService.insertApprovalConfiguration(mainVo));
    }

    //根据id获取详情-原始未转换数据
    @GetMapping("/getDetail/{id}")
    public AjaxResult getMainDetailById(@PathVariable Integer id){

        return AjaxResult.success(approvalConfigurationService.getMainDetailById(id));
    }

    //根据id修改数据
    @PutMapping("/updateDetail")
    public AjaxResult updateApprovalConfigurationMain(@RequestBody ApprovalConfigurationMainVo mainVo){

        return AjaxResult.success(approvalConfigurationService.updateApprovalConfigurationMain(mainVo));
    }

    //根据id删除
    @DeleteMapping ("/delMain/{id}")
    public AjaxResult delMain(@PathVariable Integer id){

        return AjaxResult.success(approvalConfigurationService.delMain(id));
    }

    //根据父id获取节点列表
    @Anonymous
    @GetMapping ("/getNodeList/{id}")
    public AjaxResult getNodeList(@PathVariable Integer id){
        return AjaxResult.success(approvalConfigurationService.getNodeList(id));
    }
}
