package com.ruoyi.controller;

import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.domain.dto.FyglProjectCostDTO;
import com.ruoyi.domain.dto.FyglProjectCostReimbursementDTO;
import com.ruoyi.domain.vo.FyglDailyReimbursementVo;
import com.ruoyi.service.IFyglProjectCostReimbursementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;


//项目费用报销申请
@RestController
@RequestMapping("/fyglprojectCostReimbursement")
public class FyglProjectCostReimbursementController extends BaseController {

    @Autowired
    private IFyglProjectCostReimbursementService reimbursementService;

    //获取报销列表
    @Anonymous
    @GetMapping("/getList")
    public TableDataInfo list(FyglProjectCostReimbursementDTO ReimbursementDTO) {
        startPage();
        List<FyglProjectCostReimbursementDTO> list = reimbursementService.getList(ReimbursementDTO);
        return getDataTable(list);
    }

    //获取待报销列表
    @GetMapping("/approvestatus3List")
    public TableDataInfo approvestatus3List(FyglProjectCostDTO fyglProjectCostDTO) {
        startPage();
        List<FyglProjectCostDTO> list = reimbursementService.approvestatus3List(fyglProjectCostDTO);
        return getDataTable(list);
    }


    /**
     * 导出日常报销列表
     */
    @Anonymous
    @PostMapping("/export")
    public void export(HttpServletResponse response, Long [] ids)
    {
        List<FyglProjectCostReimbursementDTO> reimbursementDTOS = reimbursementService.getListByIds(ids);
        ExcelUtil<FyglProjectCostReimbursementDTO> util = new ExcelUtil<FyglProjectCostReimbursementDTO>(FyglProjectCostReimbursementDTO.class);
        util.exportExcel(response, reimbursementDTOS, "项目费用申请数据");
    }


    //根据项目id获取报销详情
    @GetMapping("/reimbursementDetail/{id}")
    public AjaxResult getDetail(@PathVariable("id") Integer id)
    {
        FyglProjectCostReimbursementDTO projectDetail = reimbursementService.getDetail(id);
        return AjaxResult.success(projectDetail);
    }

    //新增
    @PostMapping("/insertReimbursementDetail")
    public AjaxResult insertReimbursementDetail(@RequestBody FyglDailyReimbursementVo  reimbursementVo)
    {
        return AjaxResult.success(reimbursementService.insertReimbursement(reimbursementVo));
    }

    //修改
    @PutMapping("/updateReimbursementDetail")
    public AjaxResult updateReimbursementDetail(@RequestBody FyglDailyReimbursementVo  reimbursementVo)
    {
        return AjaxResult.success(reimbursementService.updateReimbursement(reimbursementVo));
    }

    //删除-逻辑
    @PutMapping("/delflag/{id}")
    public AjaxResult delflag(@PathVariable("id") Integer id)
    {
        return AjaxResult.success(reimbursementService.delflag(id));
    }
}
