package com.ruoyi.controller;

import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.domain.dto.FyglTravelOnBusinessDTO;
import com.ruoyi.service.IFyglTravelOnBusinessService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/FyglTravelOnBusiness")
public class FyglTravelOnBusinessController extends BaseController {

    @Autowired
    private IFyglTravelOnBusinessService travelOnBusinessService;

    //列表
    @GetMapping("/getList")
    public TableDataInfo getProjectCostList(FyglTravelOnBusinessDTO fyglProjectCostDTO){
        startPage();
        return getDataTable(travelOnBusinessService.getFyglTravelOnBusinessList(fyglProjectCostDTO));
    }
    
    /**
     * 获取差旅报销详细信息
     */
    @GetMapping(value = "/getList/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(travelOnBusinessService.selectFyglTravelOnBusinessListById(id));
    }
    
    //新增差旅报销
    @PostMapping("/getList/insert")
    public AjaxResult insertFyglTravelOnBusiness(@RequestBody FyglTravelOnBusinessDTO fyglTravelOnBusinessDTO)
    {
        return AjaxResult.success(travelOnBusinessService.insertFyglTravelOnBusiness(fyglTravelOnBusinessDTO));
    }
    
    //修改差旅报销
    @PutMapping("/getList/update")
    public AjaxResult updateFyglTravelOnBusiness(@RequestBody FyglTravelOnBusinessDTO fyglTravelOnBusinessDTO)
    {
        return AjaxResult.success(travelOnBusinessService.updateFyglTravelOnBusiness(fyglTravelOnBusinessDTO));
    }
    
    //删除差旅报销
    @DeleteMapping("/getList/{id}")
    public AjaxResult deleteFyglTravelOnBusinessById(@PathVariable Long id)
    {
        return toAjax(travelOnBusinessService.deleteFyglTravelOnBusinessById(id));
    }
}
