package com.ruoyi.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 员工余额对象 employee_balance
 *
 * @author hht
 * @date 2025-03-06
 */
public class EmployeeBalance extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一标识每条记录
     */
    private Long id;

    /**
     * 员工ID（关联到员工表）
     */
    private Long employeeId;

    /**
     * 年假余额
     */
    private BigDecimal annualLeaveBalance;

    /**
     * 加班时长余额
     */
    private BigDecimal overtimeHoursBalance;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdAt;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatedAt;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEmployeeId() {
        return employeeId;
    }

    public void setEmployeeId(Long employeeId) {
        this.employeeId = employeeId;
    }

    public BigDecimal getAnnualLeaveBalance() {
        return annualLeaveBalance;
    }

    public void setAnnualLeaveBalance(BigDecimal annualLeaveBalance) {
        this.annualLeaveBalance = annualLeaveBalance;
    }

    public BigDecimal getOvertimeHoursBalance() {
        return overtimeHoursBalance;
    }

    public void setOvertimeHoursBalance(BigDecimal overtimeHoursBalance) {
        this.overtimeHoursBalance = overtimeHoursBalance;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("employeeId", getEmployeeId())
                .append("annualLeaveBalance", getAnnualLeaveBalance())
                .append("overtimeHoursBalance", getOvertimeHoursBalance())
                .append("createdAt", getCreatedAt())
                .append("updatedAt", getUpdatedAt())
                .toString();
    }
}
