package com.ruoyi.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.domain.dto.FyglDailyReimbursementDetailitemListDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

/**
 * 日常报销对象 fygl_daily_reimbursement
 * 
 * @author ruoyi
 * @date 2025-02-28
 */

@EqualsAndHashCode(callSuper = true)
@Data
public class FyglDailyReimbursement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 项目id */
    private Long projectId;

    /** 流水号 */
    @Excel(name = "流水号")
    private String serialNumber;

    /** 报销月份 */
    @Excel(name = "报销月份")
    private String reimbursement;

    /** 费用登记时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "费用登记时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date registrationTime;

//    状态 0保存1未通过2审批中3已通过
    private Integer status;

    //附件路径
    private String accessory;

    //
    private Long did;

    private Long rid;

    //插入的时候的费用列表
    List<FyglDailyReimbursementDetailitemListDTO> childList;
}
