package com.ruoyi.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 请假申请对象 leave_application
 *
 * @author hht
 * @date 2025-03-03
 */
public class LeaveApplication extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id自增，记录的唯一标识
     */
    private Long id;

    /**
     * 请假单号
     */
    @Excel(name = "请假单号")
    private String leaveId;



    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 审批节点id
     */
    private Integer nodeId;



    /**
     * 申请日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date requestDate;

    /**
     * 请假类型（0代表病假，1代表产假，2代表倒休，3代表婚嫁，4代表年假，5代表陪产假，6代表丧假，7代表事假，8代表孕检假，9代表流产假)）
     */
    @Excel(name = "请假类型", readConverterExp = "0=病假,1=产假,2=倒休,3=婚假,4=年假,5=陪产假,6=丧假,7=事假,8=孕检假,9=流产假")
    private String leaveType;
    /**
     * 姓名
     */
    @Excel(name = "姓名")
    private String uname;
    /**
     * 一级审批人
     */
    @Excel(name = "一级审批人")
    private String firstApprover;


    /**
     * 二级审批人
     */
    @Excel(name = "二级审批人")
    private String secondApprover;

    /**
     * 请假开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @Excel(name = "请假开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    private Date startTime;

    /**
     * 请假结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @Excel(name = "请假结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    private Date endTime;

    /**
     * 请假时长
     */
    @Excel(name = "请假时长")
    private BigDecimal leavetimeHours;

    /**
     * 扣减加班时长
     */
    @Excel(name = "抵扣加班时长")
    private BigDecimal deductionOvertimeHours;

    /**
     * 请假天数
     */
    @Excel(name = "请假天数")
    private BigDecimal leaveDaysSubtotal;

    /**
     * 合计请假天数
     */
    private BigDecimal totalLeaveDays;

    /**
     * 请假事由说明
     */
    @Excel(name = "请假事由说明")
    private String reason;

    /**
     * 相关证明（保存文件或图片的路径)
     */
    @Excel(name = "相关证明", readConverterExp = "相关证明（保存文件或图片的路径)")
    private String proof;

    /**
     * 审批状态（0代表待审批，1代表审批中，2代表已通过，3代表已驳回）
     */
    @Excel(name = "审批状态", readConverterExp = "1=审批中,2=已通过,3=不通过")
    private String approvalStatus;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setLeaveId(String leaveId) {
        this.leaveId = leaveId;
    }

    public String getLeaveId() {
        return leaveId;
    }

    public Long getUserId() {return userId;}

    public void setUserId(Long userId) {this.userId = userId;}

    public Integer getNodeId() {return nodeId;}

    public void setNodeId(Integer nodeId) {this.nodeId = nodeId;}

    public void setRequestDate(Date requestDate) {
        this.requestDate = requestDate;
    }

    public Date getRequestDate() {
        return requestDate;
    }

    public void setLeaveType(String leaveType) {
        this.leaveType = leaveType;
    }

    public String getLeaveType() {
        return leaveType;
    }

    public void setUname(String uname) {
        this.uname = uname;
    }

    public String getUname() {
        return uname;
    }


    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getEndTime() {
        return endTime;
    }


    public void setLeavetimeHours(BigDecimal leavetimeHours) {
        this.leavetimeHours = leavetimeHours;
    }

    public BigDecimal getLeavetimeHours() {
        return leavetimeHours;
    }

    public BigDecimal getDeductionOvertimeHours() {return deductionOvertimeHours;}

    public void setDeductionOvertimeHours(BigDecimal deductionOvertimeHours) {this.deductionOvertimeHours = deductionOvertimeHours;}

    public void setLeaveDaysSubtotal(BigDecimal leaveDaysSubtotal) {
        this.leaveDaysSubtotal = leaveDaysSubtotal;
    }

    public BigDecimal getLeaveDaysSubtotal() {
        return leaveDaysSubtotal;
    }

    public void setTotalLeaveDays(BigDecimal totalLeaveDays) {
        this.totalLeaveDays = totalLeaveDays;
    }

    public BigDecimal getTotalLeaveDays() {
        return totalLeaveDays;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getReason() {
        return reason;
    }

    public void setProof(String proof) {
        this.proof = proof;
    }

    public String getProof() {
        return proof;
    }

    public String getSecondApprover() {return secondApprover;}

    public void setSecondApprover(String secondApprover) {this.secondApprover = secondApprover;}

    public String getFirstApprover() {return firstApprover;}

    public void setFirstApprover(String firstApprover) {this.firstApprover = firstApprover;}

    public String getApprovalStatus() {return approvalStatus;}

    public void setApprovalStatus(String approvalStatus) {this.approvalStatus = approvalStatus;}


    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("leaveId", getLeaveId())
                .append("userId", getUserId())
                .append("nodeId", getNodeId())
                .append("requestDate", getRequestDate())
                .append("leaveType", getLeaveType())
                .append("uname", getUname())
                .append("startTime", getStartTime())
                .append("endTime", getEndTime())
                .append("leavetimeHours", getLeavetimeHours())
                .append("deductionOvertimeHours", getDeductionOvertimeHours())
                .append("leaveDaysSubtotal", getLeaveDaysSubtotal())
                .append("totalLeaveDays", getTotalLeaveDays())
                .append("reason", getReason())
                .append("proof", getProof())
                .append("approvalStatus", getApprovalStatus())
                .append("createdTime", getCreatedTime())
                .append("updatedTime", getUpdatedTime())
                .append("firstApprover",getFirstApprover())
                .append("secondApprover",getSecondApprover())
                .toString();
    }
}
