package com.ruoyi.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 加班申请对象 overtime_application
 *
 * @author hht
 * @date 2025-03-06
 */
public class OvertimeApplication extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id号
     */
    private Long id;


    /**
     * 员工ID
     */
    private Long employeeId;


    /**
     * 加班单号
     */
    @Excel(name = "加班单号")
    private String overtimeId;

    /**
     * 姓名
     */
    @Excel(name = "姓名")
    private String uname;


    /**
     * 申请日期
     */
    @Excel(name = "申请日期", width = 30, dateFormat = "yyyy-MM-dd")
    private String requestDate;

    /**
     * 归属月份
     */
    @Excel(name = "归属月份")
    private String yearMonth;


    /**
     * 加班时长
     */
    @Excel(name = "加班时长")
    private String overtimeHours;



    /**
     * 个人加班总时长
     */
    private BigDecimal totalOvertimeHours;



    /**
     * 归属项目
     */
    @Excel(name = "归属项目")
    private String project;

    /**
     * 项目负责人
     */
    @Excel(name = "项目负责人")
    private String projectLeader;

    /**
     * 事业部负责人
     */
    @Excel(name = "事业部负责人")
    private String divisionLeader;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 修改时间
     */
    private Date updatedTime;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }
    public Long getEmployeeId() {return employeeId;}

    public void setEmployeeId(Long employeeId) {this.employeeId = employeeId;}

    public void setOvertimeId(String overtimeId) {
        this.overtimeId = overtimeId;
    }

    public String getOvertimeId() {
        return overtimeId;
    }

    public void setUname(String uname) {
        this.uname = uname;
    }

    public String getUname() {
        return uname;
    }

    public void setRequestDate(String requestDate) {
        this.requestDate = requestDate;
    }

    public String getRequestDate() {
        return requestDate;
    }

    public void setYearMonth(String yearMonth) {
        this.yearMonth = yearMonth;
    }

    public String getYearMonth() {
        return yearMonth;
    }



    public void setOvertimeHours(String overtimeHours) {
        this.overtimeHours = overtimeHours;
    }

    public String getOvertimeHours() {
        return overtimeHours;
    }

    public BigDecimal getTotalOvertimeHours() {return totalOvertimeHours;}

    public void setTotalOvertimeHours(BigDecimal totalOvertimeHours) {this.totalOvertimeHours = totalOvertimeHours;}

    public String getDivisionLeader() {return divisionLeader;}

    public void setDivisionLeader(String divisionLeader) {this.divisionLeader = divisionLeader;}

    public String getProjectLeader() {return projectLeader;}

    public void setProjectLeader(String projectLeader) {this.projectLeader = projectLeader;}

    public String getProject() {return project;}

    public void setProject(String project) {this.project = project;}

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("employeeId", getEmployeeId())
                .append("overtimeId", getOvertimeId())
                .append("uname", getUname())
                .append("requestDate", getRequestDate())
                .append("yearMonth", getYearMonth())
                .append("overtimeHours", getOvertimeHours())
                .append("totalOvertimeHours", getTotalOvertimeHours())
                .append("project", getProject())
                .append("projectLeader", getProjectLeader())
                .append("divisionLeader", getDivisionLeader())
                .append("createdTime", getCreatedTime())
                .append("updatedTime", getUpdatedTime())
                .toString();
    }
}
