package com.ruoyi.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工时记录对象 timesheet
 * 
 * @author ruoyi
 * @date 2025-02-28
 */
@Data
public class Timesheet extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 员工编号 */
    @Excel(name = "员工编号")
    private Long employId;

    /** 员工姓名 */
    @Excel(name = "员工姓名")
    private String employName;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String projectNumber;

    /** 项目名称 */
    @Excel(name = "项目名称")
    @TableField(exist = false)
    private String projectName;

    /** 项目经理编号 */
  /*  @Excel(name = "项目经理编号")
    private Long managerId;*/

    /** 事业部负责人编号 */
    @Excel(name = "事业部负责人编号")
    @TableField(exist = false)
    private Long departmentLeaderId;

    /** 工时 */
    @Excel(name = "工时")
    private BigDecimal hours;

    /** 工作日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "工作日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date workTime;

    /** 周标识 */
    @Excel(name = "周标识")
    private String workWeek;

    /** 审批意见备注 */
    @Excel(name = "审批意见备注")
    private String approvalNote;

    /** 审批状态 0-被驳回 1-已通过 2-待填报 3-审核中*/
    @Excel(name = "审批状态")
    private String approvalState;


    // 事业部负责人名称(查询列表)
    @TableField(exist = false)
    private String departmentLeaderName;

    // 项目经理名称(查询列表)
    @TableField(exist = false)
    private String managerName;

    @TableField(exist = false)
    private BigDecimal totalHours;

    //开始时间(查询条件)
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField(exist = false)
    private Date startTime;

    //结束时间(查询条件)
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField(exist = false)
    private Date endTime;

    @TableField(exist = false)
    private Long projectManagerId;

/*    @TableField(exist = false)
    private Date startTime;

    @TableField(exist = false)
    private Date endTime;*/

    /** 删除标识 0-正常 1-已删除 */
    private Long deleted;

    public static final long NO_DELETE = 0;
    public static final long DELETE  = 1;


}
