package com.ruoyi.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data

public class FyglProjectCostDTO extends BaseEntity {
    private Integer id;
    private String projectNumber;
    @Excel(name = "项目名称")
    private String projectName;
    @Excel(name = "项目类型",dictType = "project_type")
    private String projectType;
    @Excel(name = "事业部负责人")
    private String userName;
    private String projectStatus;
    @Excel(name = "审批状态",dictType = "project_cost_request_status")
    private Integer approveStatus;

    private String costType;
    @Excel(name = "费用发生时间")
    private String timeOfExpense;
    @Excel(name = "预计金额")
    private Double sumMoney;
    private Double unitPrice;
    private Integer amount;
    private String description;
    private String remark;
    //项目id用于插入
    private Integer projectId;

    private Integer currentAuditRoleId;

    @Excel(name = "申请时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    //项目负责人id，用于搜索转换
    private Long userId;
}
