package com.ruoyi.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
public class FyglProjectCostReimbursementDTO extends BaseEntity {
    private Integer id;
    private String serialNumber;
    @Excel(name = "项目名称")
    private String projectName;
    @Excel(name = "项目类型",dictType = "project_type")
    private String projectType;
    @Excel(name = "费用发生时间")
    private String timeOfExpense;
    @Excel(name = "费用类型",dictType = "project_cost_type")
    private String costType;
    @Excel(name = "实际金额（元）")
    private Double actualAmount;
    @Excel(name = "报销审批状态",dictType = "cost_daily_status")
    private Integer reimbursmentApproveStatus;
    private Integer currentAuditNodeId;


    @Excel(name = "申请时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    //详情才有的
    private String projectNumber;
    private Integer projectStatus;
    private String remark;
    private String description;
    //事业部负责人
    private String headOfBusinessDepartment;

    private String userName;
    private Double sumMoney;
}
