package com.ruoyi.employment.domain;

import java.util.Collections;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 入职审批对象 employment_approval
 * 
 * @author ruoyi
 * @date 2025-02-25
 */
@Data
public class EmploymentApproval extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idNumber;

    /** 性别 */
    @Excel(name = "性别",dictType = "sys_user_sex")
    private Integer gender;

    /** 出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 户籍类型 */
    @Excel(name = "户籍类型",dictType = "home_type")
    private Integer homeType;

    /** 籍贯 */
    private String[] nativePlace;

    /** 民族 */
    @Excel(name = "民族")
    private String nationality;

    /** 户籍所在地 */
    @Excel(name = "户籍所在地")
    private String homeAddress;

    /** 常住地址 */
    @Excel(name = "常住地址")
    private String permanentAddress;

    /** 政治面貌 */
    @Excel(name = "政治面貌",dictType = "political_outlook")
    private Integer politicalOutlook;

    /** 婚姻状态 */
    @Excel(name = "婚姻状态",dictType="marital_status")
    private Integer maritalStatus;

    /** 参加工作日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "参加工作日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date workDate;

    /** 员工照片 */
    private String workerPic;

    /** 紧急联系人姓名 */
    @Excel(name = "紧急联系人姓名")
    private String emergencyContactName;

    /** 紧急联系人电话 */
    @Excel(name = "紧急联系人电话")
    private String emergencyContactPhone;

    /** 与联系人关系 0父亲 1母亲 2配偶 3子女 4其他 */
    @Excel(name = "与联系人关系", dictType = "emergency_contact_relation")
    private Integer emergencyContactRelation;

    /** 参保城市 下拉菜单 */
    private String insuredCity;

    /** 社保账号 */
    private String socialSecurityAccount;

    /** 公积金账号 */
    private String housingFundAccount;

    /** 银行账号 */
    @Excel(name = "银行账号")
    private String bankAccount;

    /** 开户行 */
    @Excel(name = "开户行")
    private String openingBank;

    /** 入职日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入职日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date serviceDate;

    /** 入职部门 0采购部 1产品部 2人事部 3生产部 4市场部 5文档 6销售部 7行政部 8研发部 9质量部 */
    @Excel(name = "入职部门",dictType = "service_depart")
    private Integer serviceDepart;

    /** 入职岗位  */
    @Excel(name = "入职岗位 ")
    private String position;

    /** 聘用形式 0全职 1实习 2兼职 3劳务派遣 4其他 */
    @Excel(name = "聘用形式",dictType = "employment_form")
    private Integer employmentForm;

    /** 正式薪资 */
    @Excel(name = "正式薪资")
    private Long formalSalary;

    /** 员工状态 0在职1待转正 2其他 */
    @Excel(name = "员工状态",dictType = "employee_state")
    private Integer employeeState;

    /** 是否有试用期 0是 1否 */
    @Excel(name = "是否有试用期",dictType = "is_trial_period")
    private Integer isTrialPeriod;


    @Excel(name = "试用期薪资")
    private Long trialPeriodSalary;

    /** 试用期天数 */
    @Excel(name = "试用期天数")
    private Long trialPeriodDay;

    /** 转正日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "转正日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dateOfConfirmation;

    /** 最高学历 0博士 1硕士2本科3大专/高职 4高中/中专/中技 5初中 6小学 */
    @Excel(name = "最高学历",dictType = "education_level")
    private Integer educationLevel;

    /** 毕业证 */
    private String diplomaPic;

    /** 学位证 */
    private String degreePic;

    /** 其他证书 */
    private String otherCertification;


    /** 本人签名 */
    private String signature;

    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date applicationTime;

    /** 总经理意见 0通过 1不通过 */
    private Integer managerOpinion;

    /** 审批时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date approvalTime;

    /** 总经理签字 */
    private String managerSignature;

    /** 提交人 */
    private String submitter;

    /** 提交时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date submissionTime;

    @Excel(name = "是否借用公司资产",dictType = "is_borrow_company_assets")
    private Integer isBorrowCompanyAssets;

    @Excel(name = "借用资产名称")
    private String assetsName;


    /** 流程状态 */
    private String processState;

    /** 当前节点 */
    private Integer currentNode;

    /** 当前负责人 */
    private Integer currentResponsiblePerson;

    private Integer serviceCompany;

    /** 当前审批状态 */
    private Integer employmentApprovalState;
    /** 是否为草稿 */
    private Integer isDraft;


    private ApprovalInstance approvalInstance = new ApprovalInstance(); // 初始化


    private Long empId;


    private Long userId;

}
