package com.ruoyi.employment.mapper;

import java.util.List;

import com.ruoyi.employment.domain.ApprovalInstance;
import com.ruoyi.employment.domain.EmploymentApproval;
import com.ruoyi.employment.domain.dto.EmploymentApprovalDTO;

/**
 * 入职审批Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-25
 */
public interface EmploymentApprovalMapper 
{
    /**
     * 查询入职审批
     * 
     * @param id 入职审批主键
     * @return 入职审批
     */
    public EmploymentApproval selectEmploymentApprovalById(Long id);

    /**
     * 查询入职审批列表
     * 
     * @param employmentApproval 入职审批
     * @return 入职审批集合
     */
    public List<EmploymentApproval> selectEmploymentApprovalList(EmploymentApproval employmentApproval);

    /**
     * 新增入职审批
     * 
     * @param employmentApproval 入职审批
     * @return 结果
     */
    public int insertEmploymentApproval(EmploymentApproval employmentApproval);

    /**
     * 修改入职审批
     * 
     * @param employmentApproval 入职审批
     * @return 结果
     */
    public int updateEmploymentApproval(EmploymentApproval employmentApproval);

    /**
     * 删除入职审批
     * 
     * @param id 入职审批主键
     * @return 结果
     */
    public int deleteEmploymentApprovalById(Long id);

    /**
     * 批量删除入职审批
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmploymentApprovalByIds(Long[] ids);

    /**
     * 判断导入数据是否存在 是则更新 不是则插入
     *
     */
    public boolean checkExists(EmploymentApproval employmentApproval);


    /**
     * 查询入职草稿箱列表
     *
     */
    public List<EmploymentApproval> selectEmploymentApprovalDraftList(EmploymentApproval employmentApproval);


    /**
     * 新增入职草稿箱
     *
     */
    public int insertEmploymentApprovalDraft(EmploymentApproval employmentApproval);


    /**
     * 修改入职草稿
     *
     */
    public int updateEmploymentApprovalDraft(EmploymentApproval employmentApproval);


    /**
     * 批准同意
     *
     */
    public int updateApproval(EmploymentApproval employmentApproval);
    /**
     * 批准不同意
     *
     */
    public int updateApproval2(EmploymentApproval employmentApproval);

    /**
     * 基本信息自动填入
     *
     */
    public EmploymentApprovalDTO selectApprovalWithUser(Long userId);

    /**
     * 统计当天的生日人数（hr专有)
     *
     */
    public Long countTodayBirthday();
    /**
     * 统计当前季度生日卡人数（hr专有)
     *
     */
    public Long countCurrentQuarterBirthday();
}
