package com.ruoyi.employment.service;

import com.ruoyi.employment.domain.ApprovalInstance;

import java.util.List;

public interface IApprovalInstanceService
{
    /**
     * 查询人事管理审批关联
     *
     * @param id 人事管理审批关联主键
     * @return 人事管理审批关联
     */
    public ApprovalInstance selectApprovalInstanceById(Long id);

    /**
     * 查询人事管理审批关联列表
     *
     * @param approvalInstance 人事管理审批关联
     * @return 人事管理审批关联集合
     */
    public List<ApprovalInstance> selectApprovalInstanceList(ApprovalInstance approvalInstance);

    /**
     * 新增人事管理审批关联
     *
     * @param approvalInstance 人事管理审批关联
     * @return 结果
     */
    public int insertApprovalInstance(ApprovalInstance approvalInstance);

    /**
     * 修改人事管理审批关联
     *
     * @param approvalInstance 人事管理审批关联
     * @return 结果
     */
    public int updateApprovalInstance(ApprovalInstance approvalInstance);

    /**
     * 批量删除人事管理审批关联
     *
     * @param ids 需要删除的人事管理审批关联主键集合
     * @return 结果
     */
    public int deleteApprovalInstanceByIds(Long[] ids);

    /**
     * 删除人事管理审批关联信息
     *
     * @param id 人事管理审批关联主键
     * @return 结果
     */
    public int deleteApprovalInstanceById(Long id);
}