package com.ruoyi.employment.service;

import java.util.List;
import com.ruoyi.employment.domain.EmploymentApproval;
import com.ruoyi.employment.domain.dto.EmploymentApprovalDTO;

/**
 * 入职审批Service接口
 * 
 * @author ruoyi
 * @date 2025-02-25
 */
public interface IEmploymentApprovalService 
{
    /**
     * 查询入职审批
     * 
     * @param id 入职审批主键
     * @return 入职审批
     */
    public EmploymentApproval selectEmploymentApprovalById(Long id);

    /**
     * 查询入职审批列表
     * 
     * @param employmentApproval 入职审批
     * @return 入职审批集合
     */
    public List<EmploymentApproval> selectEmploymentApprovalList(EmploymentApproval employmentApproval);

    /**
     * 新增入职审批
     * 
     * @param employmentApproval 入职审批
     * @return 结果
     */
    public int insertEmploymentApproval(EmploymentApproval employmentApproval);

    /**
     * 修改入职审批
     * 
     * @param employmentApproval 入职审批
     * @return 结果
     */
    public int updateEmploymentApproval(EmploymentApproval employmentApproval);

    /**
     * 批量删除入职审批
     * 
     * @param ids 需要删除的入职审批主键集合
     * @return 结果
     */
    public int deleteEmploymentApprovalByIds(Long[] ids);

    /**
     * 删除入职审批信息
     * 
     * @param id 入职审批主键
     * @return 结果
     */
    public int deleteEmploymentApprovalById(Long id);

    String processImportedData(List<EmploymentApproval> list);

    /**
     * 查询入职草稿箱列表
     *
     */
    public List<EmploymentApproval> selectEmploymentApprovalDraftList(EmploymentApproval employmentApproval);

    /**
     * 新增入职草稿箱列表
     *
     */
    public int insertEmploymentApprovalDraft(EmploymentApproval employmentApproval);

    /**
     * 修改入职草稿箱
     *
     */
    public int updateEmploymentApprovalDraft(EmploymentApproval employmentApproval);


    public int updateApproval(EmploymentApproval employmentApproval);

    public int updateApproval2(EmploymentApproval employmentApproval);


    public EmploymentApprovalDTO getCurrentUserApproval();


    public Long countTodayBirthday();

    public Long countCurrentQuarterBirthday();
}
