package com.ruoyi.employment.service.impl;

import com.ruoyi.employment.domain.ApprovalInstance;
import com.ruoyi.employment.mapper.ApprovalInstanceMapper;
import com.ruoyi.employment.service.IApprovalInstanceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ApprovalInstanceServiceImpl implements IApprovalInstanceService
{
    @Autowired
    private ApprovalInstanceMapper approvalInstanceMapper;

    /**
     * 查询人事管理审批关联
     *
     * @param id 人事管理审批关联主键
     * @return 人事管理审批关联
     */
    @Override
    public ApprovalInstance selectApprovalInstanceById(Long id)
    {
        return approvalInstanceMapper.selectApprovalInstanceById(id);
    }

    /**
     * 查询人事管理审批关联列表
     *
     * @param approvalInstance 人事管理审批关联
     * @return 人事管理审批关联
     */
    @Override
    public List<ApprovalInstance> selectApprovalInstanceList(ApprovalInstance approvalInstance)
    {
        return approvalInstanceMapper.selectApprovalInstanceList(approvalInstance);
    }

    /**
     * 新增人事管理审批关联
     *
     * @param approvalInstance 人事管理审批关联
     * @return 结果
     */
    @Override
    public int insertApprovalInstance(ApprovalInstance approvalInstance)
    {
        return approvalInstanceMapper.insertApprovalInstance(approvalInstance);
    }

    /**
     * 修改人事管理审批关联
     *
     * @param approvalInstance 人事管理审批关联
     * @return 结果
     */
    @Override
    public int updateApprovalInstance(ApprovalInstance approvalInstance)
    {
        return approvalInstanceMapper.updateApprovalInstance(approvalInstance);
    }

    /**
     * 批量删除人事管理审批关联
     *
     * @param ids 需要删除的人事管理审批关联主键
     * @return 结果
     */
    @Override
    public int deleteApprovalInstanceByIds(Long[] ids)
    {
        return approvalInstanceMapper.deleteApprovalInstanceByIds(ids);
    }

    /**
     * 删除人事管理审批关联信息
     *
     * @param id 人事管理审批关联主键
     * @return 结果
     */
    @Override
    public int deleteApprovalInstanceById(Long id)
    {
        return approvalInstanceMapper.deleteApprovalInstanceById(id);
    }
}