package com.ruoyi.mapper;

import com.ruoyi.common.core.domain.entity.SysRole;
import com.ruoyi.domain.dto.ApprovalConfigurationDTO;
import com.ruoyi.domain.dto.ApprovalConfigurationNodeItemDTO;
import com.ruoyi.domain.vo.ApprovalConfigurationMainVo;
import com.ruoyi.domain.vo.ApprovalConfigurationRelevanceVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ApprovalConfigurationMapper {
    List<ApprovalConfigurationDTO> getALLList(ApprovalConfigurationDTO configurationDTO);

    //获取除了管理员的所有角色
    List<SysRole>  getAllRole();

    //新增审批配置-主表
    int insertMain(ApprovalConfigurationMainVo mainVo);

    //新增审批配置-子表
    int insertChild(ApprovalConfigurationRelevanceVo mainVo);

    //根据id获取详情-主表
    ApprovalConfigurationMainVo  getMainById(Integer id);

    //根据id获取详情-子表
    List<ApprovalConfigurationRelevanceVo>  getChildById(Integer id);


    //根据id删除-主表
    int delMain(Integer id);

    //根据id修改-主表
    int updateMain(ApprovalConfigurationMainVo mainVo);

    //根据id删除子表
    int deleteChildById(Integer apid);

    //根据id获取审批节点数组
    List<ApprovalConfigurationNodeItemDTO> getNodeList(Integer id);
}
