package com.ruoyi.mapper;

import com.ruoyi.domain.FyglDailyReimbursement;
import com.ruoyi.domain.dto.*;
import com.ruoyi.domain.vo.FyglDailyReimbursementVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 日常报销Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-28
 */
@Mapper
public interface FyglDailyReimbursementMapper 
{
    /**
     * 查询日常报销
     * 
     * @param id 日常报销主键
     * @return 日常报销
     */
    public FyglDailyReimbursementDetailDTO selectFyglDailyReimbursementById(Long id);

    //根据rid删除所有数据
    int delDataByRid(Long rid);

    List<FyglDailyReimbursementDTO> getProjectListByUserId(FyglDailyReimbursementVo fyglDailyReimbursementVO);
    
    public List<FyglDailyReimbursementDetailitemListDTO> selectFyglDailyReimbursementItemListById(@Param("rid") Long rid);
//    查找日常报销每个项目的所有报销
    public List<FyglDailyReimbursementTableItemDTO> getItemList(FyglDailyReimbursementVo fyglDailyReimbursementVO);

    public int insertFyglDailyReimbursement2(FyglDailyReimbursement fyglDailyReimbursement);
    int updateProjectId(FyglDailyReimbursement fyglDailyReimbursement);
    public int insertFyglDailyReimbursement3(FyglDailyReimbursementDetailitemListDTO fyglDailyReimbursement);
    /**
     * 查询日常报销列表
     * 
     * @return 日常报销集合
     */
    public List<FyglDailyReimbursementDTO> selectFyglDailyReimbursementList(FyglDailyReimbursementVo fyglDailyReimbursementVO);

    List<FyglProjectList> getProjectList();

    FyglProjectDTO getProjectDetail(Long pid);

    /**
     * 新增日常报销
     * 
     * @param fyglDailyReimbursement 日常报销
     * @return 结果
     */
    public int insertFyglDailyReimbursement(FyglDailyReimbursement fyglDailyReimbursement);

    /**
     * 修改日常报销
     * 
     * @param fyglDailyReimbursement 日常报销
     * @return 结果
     */
    public int updateFyglDailyReimbursement(FyglDailyReimbursement fyglDailyReimbursement);

    /**
     * 删除日常报销
     * 
     * @param id 日常报销主键
     * @return 结果
     */
    public int deleteFyglDailyReimbursementById(Long id);

    /**
     * 批量删除日常报销
     * 
     * @param id 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFyglDailyReimbursementById2(Long id);
}
