package com.ruoyi.mapper;

import com.ruoyi.domain.dto.FyglTripApplicationDTO;
import com.ruoyi.domain.vo.FyglDailyReimbursementVo;
import com.ruoyi.domain.vo.FyglTripApplicationVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 出差申请Mapper接口
 *
 * @author ruoyi
 * @date 2025-03-16
 */
@Mapper
public interface FyglTripApplicationMapper {
    /**
     * 查询出差申请
     *
     * @param id 出差申请主键
     * @return 出差申请
     */
    public FyglTripApplicationDTO selectFyglTripApplicationById(Long id);
    
    /**
     * 查询出差申请列表
     *
     * @return 出差申请集合
     */
    public List<FyglTripApplicationDTO> selectTripApplicationList(FyglTripApplicationVo fyglTripApplicationVO);
    
    /**
     * 新增出差申请
     *
     * @param fyglTripApplicationDTO 出差申请
     * @return 结果
     */
    public int insertFyglTripApplication(FyglTripApplicationDTO fyglTripApplicationDTO);
    
    /**
     * 修改日常报销
     *
     * @param fyglTripApplicationDTO 出差申请
     * @return 结果
     */
    public int updateFyglTripApplication(FyglTripApplicationDTO fyglTripApplicationDTO);
    
    /**
     * 删除出差申请
     *
     * @param id 出差申请主键
     * @return 结果
     */
    public int deleteFyglTripApplicationById(Long id);
}
