package com.ruoyi.mapper;

import java.util.List;
import com.ruoyi.domain.OvertimeApplication;
import com.ruoyi.domain.dto.OvertimeApplicationBatchDTO;

/**
 * 加班申请Mapper接口
 * 
 * @author hht
 * @date 2025-03-06
 */
public interface OvertimeApplicationMapper 
{
    /**
     * 查询加班申请
     * 
     * @param id 加班申请主键
     * @return 加班申请
     */
    public OvertimeApplication selectOvertimeApplicationById(Long id);

    /**
     * 查询加班申请列表
     * 
     * @param overtimeApplication 加班申请
     * @return 加班申请集合
     */
    public List<OvertimeApplication> selectOvertimeApplicationList(OvertimeApplication overtimeApplication);

    /**
     * 新增加班申请
     * 
     * @param overtimeApplication 加班申请
     * @return 结果
     */
    public int insertOvertimeApplication(OvertimeApplication overtimeApplication);

    /**
     * 修改加班申请
     * 
     * @param overtimeApplication 加班申请
     * @return 结果
     */
    public int updateOvertimeApplication(OvertimeApplication overtimeApplication);

    /**
     * 删除加班申请
     * 
     * @param id 加班申请主键
     * @return 结果
     */
    public int deleteOvertimeApplicationById(Long id);

    /**
     * 批量删除加班申请
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOvertimeApplicationByIds(Long[] ids);

    //批量添加加班申请
    public int insertOvertimeApplicationBatch(OvertimeApplicationBatchDTO batchRequest);

    //根据用户昵称获取用户id
    public Long getUserIdByNickName(String nickName);
}
