package com.ruoyi.mapper;

import java.util.Date;
import java.util.List;
import com.ruoyi.domain.Timesheet;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 工时记录Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-28
 */
@Mapper
public interface TimesheetMapper 
{
    /**
    * 工时查询--个人工时
    * @param query
    * @return
    */
    public List<Timesheet> selectTimesheetGroupByProject(Timesheet query);

    /**
     * 填报工时--个人工时查询
     * @return
     */
    List<Timesheet> selectPersonalTimesheet(@Param("employId") Long employId, @Param("workTime") Date workTime, @Param("projectNumber") String projectNumber);


    /**
     * 工时审批--获取审批
     * @return
     */
    List<Timesheet> selectTimesheetByManagerId(Timesheet query);


    /**
     * 查询工时记录
     * 
     * @param id 工时记录主键
     * @return 工时记录
     */
    public Timesheet selectTimesheetById(Long id);

    /**
     * 查询工时记录列表
     * 
     * @param timesheet 工时记录
     * @return 工时记录集合
     */
    public List<Timesheet> selectTimesheetList(Timesheet timesheet);

    /**
     * 新增工时记录
     * 
     * @param timesheet 工时记录
     * @return 结果
     */
    public int insertTimesheet(Timesheet timesheet);

    /**
     * 修改工时记录
     * 
     * @param timesheet 工时记录
     * @return 结果
     */
    public int updateTimesheet(Timesheet timesheet);

    /**
     * 删除工时记录
     * 
     * @param id 工时记录主键
     * @return 结果
     */
    public int deleteTimesheetById(Long id);

    /**
     * 批量删除工时记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTimesheetByIds(Long[] ids);

}
