package com.ruoyi.material.domain;

import lombok.Data;
import lombok.Getter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 物品信息对象 psa_material
 * 
 * @author ruoyi
 * @date 2025-03-12
 */
@Data
@Getter
public class PsaMaterial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long materialId;

    /** 物品编号 */
    @Excel(name = "物品编号")
    private String itemCode;

    /** 物品类型id */
    private Long typeId;

    @Excel(name = "物品类型")
    private String typeName;


    @Excel(name = "物品名称")
    private String materialName;

    /** 物品id */
    private Long itemId;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 库存数量 */
    @Excel(name = "库存数量")
    private Long stock;

    /** 提交人 */
    @Excel(name = "创建人")
    private String createBy;
    /** 备注 */
    @Excel(name = "申请备注")
    private String remark;
    /** 草稿箱 */
    private String draft;

    /** 删除 */
    private String delFlag;




    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("materialId", getMaterialId())
            .append("itemCode", getItemCode())
            .append("itemId", getItemId())
            .append("typeId", getTypeId())
            .append("stock", getStock())
            .append("unit", getUnit())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .append("draft", getDraft())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
