package com.ruoyi.material.service;

import java.util.List;
import com.ruoyi.material.domain.PsaMaterial;
import com.ruoyi.material.domain.PsaMaterialType;
import com.ruoyi.material.domain.PsaMaterialTypeDetail;
import com.ruoyi.material.domain.dto.EditMaterialDTO;
import com.ruoyi.material.domain.dto.MaterialQueryDTO;
import com.ruoyi.material.domain.dto.PsaMaterialNewDTO;

/**
 * 物品信息Service接口
 * 
 * @author ruoyi
 * @date 2025-03-12
 */
public interface IPsaMaterialService 
{
    /**
     * 查询物品信息
     * 
     * @param materialId 物品信息主键
     * @return 物品信息
     */
    public PsaMaterial selectPsaMaterialByMaterialId(Long materialId);

    /**
     * 查询物品信息列表
     * 
     * @param materialQueryDTO 物品信息
     * @return 物品信息集合
     */
    public List<PsaMaterial> selectPsaMaterialList(MaterialQueryDTO materialQueryDTO);
    public List<PsaMaterial> selectPsaMaterialList(PsaMaterial psaMaterial);

    /**
     * 新增物品信息
     * 
     * @param psaMaterialNewDTO 物品信息
     * @return 结果
     */
    public int insertPsaMaterial(PsaMaterialNewDTO psaMaterialNewDTO);

    /**
     * 修改物品信息
     * 
     * @param editMaterialDTO 物品信息
     * @return 结果
     */
    public int updatePsaMaterial(EditMaterialDTO editMaterialDTO);

    /**
     * 批量删除物品信息
     * 
     * @param materialId 需要删除的物品信息主键集合
     * @return 结果
     */
    public int deletePsaMaterialByMaterialId(Long materialId);


    /**
     * 查询所有物品类别
     */
    List<PsaMaterialType> selectMaterialTypeList();
    /**
     * 查询所有类别的细分物品
     */
    List<PsaMaterialTypeDetail> selectMaterialTypeDetailList();

    MaterialQueryDTO temp(MaterialQueryDTO materialQueryDTO);
}
