package com.ruoyi.materialapply.domain;

import java.util.List;
import java.util.Date;
import java.util.stream.Collectors;

import com.fasterxml.jackson.annotation.JsonFormat;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 物品借用申请对象 psa_material_apply
 * 
 * @author ruoyi
 * @date 2025-03-18
 */
@Data
public class PsaMaterialApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 申请ID */
    private Long id;

    /** 项目ID */
    private Long projectId;
    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 申请人userID */
    private Long userId;
    /** 申请人姓名 */
    @Excel(name = "申请人姓名")
    private String userName;

    /** 审批状态 */
    @Excel(name = "审批状态",dictType = "material_status")
    private String checkStatus;

    /** 审批时间 */
    private Date approvalDate;

    /** 审批意见 */
    private String approvalAdvice;

    /** 草稿箱 */
    private String draft;

    /** 删除 */
    private String delFlag;
    /** 备注 */
    @Excel(name = "申请备注")
    private String remark;

    /** 物品借用细节信息 */
    @JsonProperty("items")
    @Excel(name = "物品明细")
    private List<PsaMaterialApplyDetail> psaMaterialApplyDetailList;


}
