package com.ruoyi.materialapply.mapper;

import com.ruoyi.materialapply.domain.ProjectUser;
import com.ruoyi.materialapply.domain.PsaMaterialApply;
import com.ruoyi.materialapply.domain.PsaMaterialApplyDetail;

import java.util.List;


/**
 * 物品借用申请Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-18
 */
public interface PsaMaterialApplyMapper 
{
    /**
     * 查询物品借用申请
     * 
     * @param id 物品借用申请主键
     * @return 物品借用申请
     */
    public PsaMaterialApply selectPsaMaterialApplyById(Long id);

    /**
     * 查询物品借用申请列表
     * 
     * @param psaMaterialApply 物品借用申请
     * @return 物品借用申请集合
     */
    public List<PsaMaterialApply> selectPsaMaterialApplyList(PsaMaterialApply psaMaterialApply);

    /**
     * 新增物品借用申请
     * 
     * @param psaMaterialApply 物品借用申请
     * @return 结果
     */
    public int insertPsaMaterialApply(PsaMaterialApply psaMaterialApply);

    /**
     * 修改物品借用申请
     * 
     * @param psaMaterialApply 物品借用申请
     * @return 结果
     */
    public int updatePsaMaterialApply(PsaMaterialApply psaMaterialApply);

    /**
     * 删除物品借用申请
     * 
     * @param id 物品借用申请主键
     * @return 结果
     */
    public int deletePsaMaterialApplyById(Long id);

    /**
     * 批量删除物品借用申请
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePsaMaterialApplyByIds(Long[] ids);

    /**
     * 批量删除物品借用细节
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePsaMaterialApplyDetailByApplyIds(Long[] ids);
    
    /**
     * 批量新增物品借用细节
     * 
     * @param psaMaterialApplyDetailList 物品借用细节列表
     * @return 结果
     */
    public int batchPsaMaterialApplyDetail(List<PsaMaterialApplyDetail> psaMaterialApplyDetailList);
    

    /**
     * 通过物品借用申请主键删除物品借用细节信息
     * 
     * @param id 物品借用申请ID
     * @return 结果
     */
    public int deletePsaMaterialApplyDetailByApplyId(Long id);

    /**
     * 查项目和用户的中间表
     * @return
     */
    List<ProjectUser> selectProjectUser();
}
