package com.ruoyi.materialapply.service;

import com.ruoyi.materialapply.domain.ProjectUser;
import com.ruoyi.materialapply.domain.PsaMaterialApply;

import java.util.List;

/**
 * 物品借用申请Service接口
 * 
 * @author ruoyi
 * @date 2025-03-18
 */
public interface IPsaMaterialApplyService 
{
    /**
     * 查询物品借用申请
     * 
     * @param id 物品借用申请主键
     * @return 物品借用申请
     */
    public PsaMaterialApply selectPsaMaterialApplyById(Long id);

    /**
     * 查询物品借用申请列表
     * 
     * @param psaMaterialApply 物品借用申请
     * @return 物品借用申请集合
     */
    public List<PsaMaterialApply> selectPsaMaterialApplyList(PsaMaterialApply psaMaterialApply);

    /**
     * 新增物品借用申请
     * 
     * @param psaMaterialApply 物品借用申请
     * @return 结果
     */
    public int insertPsaMaterialApply(PsaMaterialApply psaMaterialApply);

    /**
     * 修改物品借用申请
     *
     * @param psaMaterialApply 物品借用申请
     * @return 结果
     */
    public int updatePsaMaterialApply(PsaMaterialApply psaMaterialApply);
    /**
     * 借用审核
     *
     * @param psaMaterialApply 物品借用申请
     * @return 结果
     */
    int checkPsaMaterialReturn(PsaMaterialApply psaMaterialApply);

    /**
     * 批量删除物品借用申请
     * 
     * @param ids 需要删除的物品借用申请主键集合
     * @return 结果
     */
    public int deletePsaMaterialApplyByIds(Long[] ids);

    /**
     * 删除物品借用申请信息
     * 
     * @param id 物品借用申请主键
     * @return 结果
     */
    public int deletePsaMaterialApplyById(Long id);


    List<ProjectUser> selectPorjectUser();


}
