package com.ruoyi.materialentry.mapper;

import com.ruoyi.materialentry.domain.PsaMaterialEntry;

import java.util.List;


/**
 * 物品入库信息Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-13
 */
public interface PsaMaterialEntryMapper 
{
    /**
     * 查询物品入库信息
     * 
     * @param id 物品入库信息主键
     * @return 物品入库信息
     */
    public PsaMaterialEntry selectPsaMaterialEntryById(Long id);

    /**
     * 查询物品入库信息列表
     * 
     * @param psaMaterialEntry 物品入库信息
     * @return 物品入库信息集合
     */
    public List<PsaMaterialEntry> selectPsaMaterialEntryList(PsaMaterialEntry psaMaterialEntry);

    /**
     * 新增物品入库信息
     * 
     * @param psaMaterialEntry 物品入库信息
     * @return 结果
     */
    public int insertPsaMaterialEntry(PsaMaterialEntry psaMaterialEntry);

    /**
     * 修改物品入库信息
     * 
     * @param psaMaterialEntry 物品入库信息
     * @return 结果
     */
    public int updatePsaMaterialEntry(PsaMaterialEntry psaMaterialEntry);

    /**
     * 删除物品入库信息
     * 
     * @param id 物品入库信息主键
     * @return 结果
     */
    public int deletePsaMaterialEntryById(Long id);

    /**
     * 批量删除物品入库信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePsaMaterialEntryByIds(Long[] ids);

    /**
     * 获取material表中要入库的字段的ID
     * @return
     */
    Long getMaterialId(PsaMaterialEntry psaMaterialEntry);
    /**
     * 获取materialTypeDetail表的物品名字
     * @return
     */
    String getMaterialDeatailName(Long itemId);
}
