package com.ruoyi.materialentry.service;

import com.ruoyi.materialentry.domain.PsaMaterialEntry;

import java.util.List;


/**
 * 物品入库信息Service接口
 * 
 * @author ruoyi
 * @date 2025-03-13
 */
public interface IPsaMaterialEntryService 
{
    /**
     * 查询物品入库信息
     * 
     * @param id 物品入库信息主键
     * @return 物品入库信息
     */
    public PsaMaterialEntry selectPsaMaterialEntryById(Long id);

    /**
     * 查询物品入库信息列表
     * 
     * @param psaMaterialEntry 物品入库信息
     * @return 物品入库信息集合
     */
    public List<PsaMaterialEntry> selectPsaMaterialEntryList(PsaMaterialEntry psaMaterialEntry);

    /**
     * 查询物品入库草稿箱列表
     *
     * @param psaMaterialEntry 物品入库信息
     * @return 物品入库信息集合
     */
    List<PsaMaterialEntry> selectPsaMaterialEntryDraftList(PsaMaterialEntry psaMaterialEntry);

    /**
     * 新增物品入库信息
     * 
     * @param psaMaterialEntry 物品入库信息
     * @return 结果
     */
    public int insertPsaMaterialEntry(PsaMaterialEntry psaMaterialEntry);

    /**
     * 修改物品入库信息
     * 
     * @param psaMaterialEntry 物品入库信息
     * @return 结果
     */
    public int updatePsaMaterialEntry(PsaMaterialEntry psaMaterialEntry);

    /**
     * 批量删除物品入库信息
     * 
     * @param ids 需要删除的物品入库信息主键集合
     * @return 结果
     */
    public int deletePsaMaterialEntryByIds(Long[] ids);

    /**
     * 删除物品入库信息信息
     * 
     * @param id 物品入库信息主键
     * @return 结果
     */
    public int deletePsaMaterialEntryById(Long id);

    /**
     * 草稿箱新增至列表
     * @param psaMaterialEntry
     * @return
     */
    int addDraftPsaMaterialEntry(PsaMaterialEntry psaMaterialEntry);
}
