package com.ruoyi.materialreturn.mapper;

import com.ruoyi.materialreturn.domain.PsaMaterialReturn;
import com.ruoyi.materialreturn.domain.PsaMaterialReturnDetail;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * 物品归还申请Mapper接口
 * 
 * @author fangjianyu
 * @date 2025-03-25
 */
@Mapper
public interface PsaMaterialReturnMapper 
{
    /**
     * 查询物品归还申请
     * 
     * @param id 物品归还申请主键
     * @return 物品归还申请
     */
    public PsaMaterialReturn selectPsaMaterialReturnById(Long id);

    /**
     * 查询物品归还申请列表
     * 
     * @param psaMaterialReturn 物品归还申请
     * @return 物品归还申请集合
     */
    public List<PsaMaterialReturn> selectPsaMaterialReturnList(PsaMaterialReturn psaMaterialReturn);

    /**
     * 新增物品归还申请
     * 
     * @param psaMaterialReturn 物品归还申请
     * @return 结果
     */
    public int insertPsaMaterialReturn(PsaMaterialReturn psaMaterialReturn);

    /**
     * 修改物品归还申请
     * 
     * @param psaMaterialReturn 物品归还申请
     * @return 结果
     */
    public int updatePsaMaterialReturn(PsaMaterialReturn psaMaterialReturn);

    /**
     * 删除物品归还申请
     * 
     * @param id 物品归还申请主键
     * @return 结果
     */
    public int deletePsaMaterialReturnById(Long id);

    /**
     * 批量删除物品归还申请
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePsaMaterialReturnByIds(Long[] ids);

    /**
     * 批量删除物品归还细节
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePsaMaterialReturnDetailByReturnIds(Long[] ids);
    
    /**
     * 批量新增物品归还细节
     * 
     * @param psaMaterialReturnDetailList 物品归还细节列表
     * @return 结果
     */
    public int batchPsaMaterialReturnDetail(List<PsaMaterialReturnDetail> psaMaterialReturnDetailList);
    

    /**
     * 通过物品归还申请主键删除物品归还细节信息
     * 
     * @param id 物品归还申请ID
     * @return 结果
     */
    public int deletePsaMaterialReturnDetailByReturnId(Long id);
}
