package com.ruoyi.materialreturn.service;

import com.ruoyi.materialreturn.domain.PsaMaterialReturn;

import java.util.List;


/**
 * 物品归还申请Service接口
 * 
 * @author fangjianyu
 * @date 2025-03-25
 */
public interface IPsaMaterialReturnService 
{
    /**
     * 查询物品归还申请
     * 
     * @param id 物品归还申请主键
     * @return 物品归还申请
     */
    public PsaMaterialReturn selectPsaMaterialReturnById(Long id);

    /**
     * 查询物品归还申请列表
     * 
     * @param psaMaterialReturn 物品归还申请
     * @return 物品归还申请集合
     */
    public List<PsaMaterialReturn> selectPsaMaterialReturnList(PsaMaterialReturn psaMaterialReturn);

    /**
     * 新增物品归还申请
     * 
     * @param psaMaterialReturn 物品归还申请
     * @return 结果
     */
    public int insertPsaMaterialReturn(PsaMaterialReturn psaMaterialReturn);

    /**
     * 修改物品归还申请
     * 
     * @param psaMaterialReturn 物品归还申请
     * @return 结果
     */
    public int updatePsaMaterialReturn(PsaMaterialReturn psaMaterialReturn);

    /**
     * 批量删除物品归还申请
     * 
     * @param ids 需要删除的物品归还申请主键集合
     * @return 结果
     */
    public int deletePsaMaterialReturnByIds(Long[] ids);

    /**
     * 删除物品归还申请信息
     * 
     * @param id 物品归还申请主键
     * @return 结果
     */
    public int deletePsaMaterialReturnById(Long id);
    /**
     * 审核归还
     *
     * @param psaMaterialReturn 物品归还
     * @return 结果
     */
    int checkPsaMaterialReturn(PsaMaterialReturn psaMaterialReturn);
}
