package com.ruoyi.regularization.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 转正审批对象 approval_regularization
 * 
 * @author ruoyi
 * @date 2025-02-26
 */
@Data
public class ApprovalRegularization extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 试用期工作成果描述 */
    @Excel(name = "试用期工作成果描述")
    private String achievementDescription;

    /** 试用期综合自我评价 */
    @Excel(name = "试用期综合自我评价")
    private String selfEvaluation;

    /** 转正材料上传 */
    @Excel(name = "转正材料上传")
    private String confirmationMaterials;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applicationTime;

    /** 工号 */
    @Excel(name = "工号")
    private String workNumber;

    /** 部门 */
    @Excel(name = "部门")
    private Integer serviceDepart;

    /** 职位 */
    @Excel(name = "职位")
    private String position;

    /** 聘用形式 */
    @Excel(name = "聘用形式")
    private String employmentForm;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idNumber;

    /** 入职日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入职日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date serviceDate;

    /** 拟转正日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "拟转正日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date proposedDate;

    /** 正式薪资 */
    @Excel(name = "正式薪资")
    private Long formalSalary;

    /** 试用期薪资 */
    @Excel(name = "试用期薪资")
    private Long trialPeriodSalary;

    /** 部门主管 */
    @Excel(name = "部门主管")
    private String departHead;

    /** 是否通过试用期 0通过 1不通过 */
    @Excel(name = "是否通过试用期 0通过 1不通过")
    private Long isPassPeriod;

    /** 部门主管签字 */
    @Excel(name = "部门主管签字")
    private String departManagerSignature;

    /** 正式转正日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "正式转正日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date officialConversionDate;

    /** 总经理确认 */
    @Excel(name = "总经理确认")
    private Integer managerConfirm;


    private Integer confirmationApprovalState;
    /** 当前节点 */
    private Integer currentNode;
}
