package com.ruoyi.regularization.service;

import java.util.List;
import com.ruoyi.regularization.domain.ApprovalRegularization;

/**
 * 转正审批Service接口
 * 
 * @author ruoyi
 * @date 2025-02-26
 */
public interface IApprovalRegularizationService 
{
    /**
     * 查询转正审批
     * 
     * @param id 转正审批主键
     * @return 转正审批
     */
    public ApprovalRegularization selectApprovalRegularizationById(Long id);

    /**
     * 查询转正审批列表
     * 
     * @param approvalRegularization 转正审批
     * @return 转正审批集合
     */
    public List<ApprovalRegularization> selectApprovalRegularizationList(ApprovalRegularization approvalRegularization);

    /**
     * 新增转正审批
     * 
     * @param approvalRegularization 转正审批
     * @return 结果
     */
    public int insertApprovalRegularization(ApprovalRegularization approvalRegularization);

    /**
     * 修改转正审批
     * 
     * @param approvalRegularization 转正审批
     * @return 结果
     */
    public int updateApprovalRegularization(ApprovalRegularization approvalRegularization);

    /**
     * 批量删除转正审批
     * 
     * @param ids 需要删除的转正审批主键集合
     * @return 结果
     */
    public int deleteApprovalRegularizationByIds(Long[] ids);

    /**
     * 删除转正审批信息
     * 
     * @param id 转正审批主键
     * @return 结果
     */
    public int deleteApprovalRegularizationById(Long id);


    public int updateRegular(ApprovalRegularization approvalRegularization);

    public int updateRegular2(ApprovalRegularization approvalRegularization);


    public Long countCurrentRegularizationInTenDays();
}
