package com.ruoyi.regularization.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.regularization.mapper.ApprovalRegularizationMapper;
import com.ruoyi.regularization.domain.ApprovalRegularization;
import com.ruoyi.regularization.service.IApprovalRegularizationService;

/**
 * 转正审批Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-02-26
 */
@Service
public class ApprovalRegularizationServiceImpl implements IApprovalRegularizationService 
{
    @Autowired
    private ApprovalRegularizationMapper approvalRegularizationMapper;

    /**
     * 查询转正审批
     * 
     * @param id 转正审批主键
     * @return 转正审批
     */
    @Override
    public ApprovalRegularization selectApprovalRegularizationById(Long id)
    {
        return approvalRegularizationMapper.selectApprovalRegularizationById(id);
    }

    /**
     * 查询转正审批列表
     * 
     * @param approvalRegularization 转正审批
     * @return 转正审批
     */
    @Override
    public List<ApprovalRegularization> selectApprovalRegularizationList(ApprovalRegularization approvalRegularization)
    {
        return approvalRegularizationMapper.selectApprovalRegularizationList(approvalRegularization);
    }

    /**
     * 新增转正审批
     * 
     * @param approvalRegularization 转正审批
     * @return 结果
     */
    @Override
    public int insertApprovalRegularization(ApprovalRegularization approvalRegularization)
    {
        return approvalRegularizationMapper.insertApprovalRegularization(approvalRegularization);
    }

    /**
     * 修改转正审批
     * 
     * @param approvalRegularization 转正审批
     * @return 结果
     */
    @Override
    public int updateApprovalRegularization(ApprovalRegularization approvalRegularization)
    {
        return approvalRegularizationMapper.updateApprovalRegularization(approvalRegularization);
    }

    /**
     * 批量删除转正审批
     * 
     * @param ids 需要删除的转正审批主键
     * @return 结果
     */
    @Override
    public int deleteApprovalRegularizationByIds(Long[] ids)
    {
        return approvalRegularizationMapper.deleteApprovalRegularizationByIds(ids);
    }

    /**
     * 删除转正审批信息
     * 
     * @param id 转正审批主键
     * @return 结果
     */
    @Override
    public int deleteApprovalRegularizationById(Long id)
    {
        return approvalRegularizationMapper.deleteApprovalRegularizationById(id);
    }

    @Override
    public int updateRegular(ApprovalRegularization approvalRegularization)
    {
        return approvalRegularizationMapper.updateRegular(approvalRegularization);
    }


    @Override
    public int updateRegular2(ApprovalRegularization approvalRegularization)
    {
        return approvalRegularizationMapper.updateRegular2(approvalRegularization);
    }

    @Override
    public Long countCurrentRegularizationInTenDays(){
        return approvalRegularizationMapper.countCurrentRegularizationInTenDays();
    }

}
