package com.ruoyi.resignation.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 离职申请对象 resignation_application
 * 
 * @author ruoyi
 * @date 2025-02-26
 */
@Data
public class ResignationApplication extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 申请日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applicationDate;

    /** 工号 */
    @Excel(name = "工号")
    private String workNumber;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idNumber;

    /** 部门 */
    @Excel(name = "部门")
    private Integer serviceDepart;

    /** 岗位 */
    @Excel(name = "岗位")
    private String position;

    /** 聘用形式 */
    @Excel(name = "聘用形式")
    private String employmentForm;

    /** 入职日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入职日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date serviceDate;

    /** 部门主管 */
    @Excel(name = "部门主管")
    private String departHead;

    /** hr姓名 */
    @Excel(name = "hr姓名")
    private String hrName;

    /** 预计离职日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计离职日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expectedDateResignation;

    /** 离职原因 */
    @Excel(name = "离职原因")
    private Integer resignationReason;

    /** 工作交接人 */
    @Excel(name = "工作交接人")
    private String workHandoverPerson;

    /** 工作交接完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "工作交接完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date handoverDate;


    @Excel(name = "事项")
    private String matter;

    /** 是否已交接 0是 1否 */
    @Excel(name = "是否已交接 0是 1否")
    private Integer isHandover;

    /** 工作交人接确认 */
    @Excel(name = "工作交人接确认")
    private Integer handoverPersonConfirm;

    /** 工作交接人签字 */
    @Excel(name = "工作交接人签字")
    private String handoverPersonSignature;

    /** 离职者签字 */
    @Excel(name = "离职者签字")
    private String resignateSignature;

    /** 离职者签字日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "离职者签字日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date resignateSignatureDate;

    /** 沟通交流记录 */
    @Excel(name = "沟通交流记录")
    private String communicationRecord;

    /** 部门主管签字 */
    @Excel(name = "部门主管签字")
    private String departHeadSignature;

    /** 部门主管签字日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "部门主管签字日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date departHeadSignatureDate;

    /** 正式离职日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "正式离职日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date formalResignationDate;

    /** 总经理确认 */
    @Excel(name = "总经理确认")
    private Integer managerConfirm;
    /** 离职审批状态 */
    private Integer leaveApprovalState;
    /** 当前节点 */
    private Integer currentNode;

    private Integer managerOpinion;


    /** 交接事务信息 */
    private List<ResignationMatter> resignationMatterList;


}
