package com.ruoyi.resignation.mapper;

import java.util.List;
import com.ruoyi.resignation.domain.ResignationApplication;
import com.ruoyi.resignation.domain.ResignationMatter;

/**
 * 离职申请Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-26
 */
public interface ResignationApplicationMapper 
{
    /**
     * 查询离职申请
     * 
     * @param id 离职申请主键
     * @return 离职申请
     */
    public ResignationApplication selectResignationApplicationById(Long id);

    /**
     * 查询离职申请列表
     * 
     * @param resignationApplication 离职申请
     * @return 离职申请集合
     */
    public List<ResignationApplication> selectResignationApplicationList(ResignationApplication resignationApplication);

    /**
     * 新增离职申请
     * 
     * @param resignationApplication 离职申请
     * @return 结果
     */
    public int insertResignationApplication(ResignationApplication resignationApplication);


    /**
     * 修改离职申请
     * 
     * @param resignationApplication 离职申请
     * @return 结果
     */
    public int updateResignationApplication(ResignationApplication resignationApplication);

    /**
     * 删除离职申请
     * 
     * @param id 离职申请主键
     * @return 结果
     */
    public int deleteResignationApplicationById(Long id);

    /**
     * 批量删除离职申请
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteResignationApplicationByIds(Long[] ids);

    /**
     * 批量删除交接事务
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteResignationMatterByApplicationIds(Long[] ids);

    /**
     * 批量新增交接事务
     *
     * @param resignationMatterList 交接事务列表
     * @return 结果
     */
    public int batchResignationMatter(List<ResignationMatter> resignationMatterList);


    /**
     * 通过离职申请主键删除交接事务信息
     *
     * @param id 离职申请ID
     * @return 结果
     */
    public int deleteResignationMatterByApplicationId(Long id);



    public int updateResignation(ResignationApplication resignationApplication);


    public int updateResignation2(ResignationApplication resignationApplication);


}
