package com.ruoyi.resignation.service;

import java.util.List;
import com.ruoyi.resignation.domain.ResignationApplication;

/**
 * 离职申请Service接口
 * 
 * @author ruoyi
 * @date 2025-02-26
 */
public interface IResignationApplicationService 
{
    /**
     * 查询离职申请
     * 
     * @param id 离职申请主键
     * @return 离职申请
     */
    public ResignationApplication selectResignationApplicationById(Long id);

    /**
     * 查询离职申请列表
     * 
     * @param resignationApplication 离职申请
     * @return 离职申请集合
     */
    public List<ResignationApplication> selectResignationApplicationList(ResignationApplication resignationApplication);

    /**
     * 新增离职申请
     * 
     * @param resignationApplication 离职申请
     * @return 结果
     */
    public int insertResignationApplication(ResignationApplication resignationApplication);

    /**
     * 修改离职申请
     * 
     * @param resignationApplication 离职申请
     * @return 结果
     */
    public int updateResignationApplication(ResignationApplication resignationApplication);

    /**
     * 批量删除离职申请
     * 
     * @param ids 需要删除的离职申请主键集合
     * @return 结果
     */
    public int deleteResignationApplicationByIds(Long[] ids);

    /**
     * 删除离职申请信息
     * 
     * @param id 离职申请主键
     * @return 结果
     */
    public int deleteResignationApplicationById(Long id);


    public int updateResignation(ResignationApplication resignationApplication);

    public int updateResignation2(ResignationApplication resignationApplication);



}
