package com.ruoyi.service;

import com.ruoyi.domain.FyglDailyReimbursement;
import com.ruoyi.domain.dto.FyglDailyReimbursementDTO;
import com.ruoyi.domain.dto.FyglDailyReimbursementDetailDTO;
import com.ruoyi.domain.dto.FyglProjectDTO;
import com.ruoyi.domain.dto.FyglProjectList;
import com.ruoyi.domain.vo.FyglDailyReimbursementVo;

import java.util.List;

/**
 * 日常报销Service接口
 * 
 * @author ruoyi
 * @date 2025-02-28
 */
public interface IFyglDailyReimbursementService 
{
    /**
     * 查询日常报销
     * 
     * @param id 日常报销主键
     * @return 日常报销
     */
    public FyglDailyReimbursementDetailDTO selectFyglDailyReimbursementById(Long id);

    /**
     * 查询日常报销列表
     * 
     * @return 日常报销集合
     */
    public List<FyglDailyReimbursementDTO> selectFyglDailyReimbursementList(FyglDailyReimbursementVo fyglDailyReimbursementVO);
    FyglProjectDTO getProjectDetail(Long pid);
    /**
     * 新增日常报销
     * 
     * @param fyglDailyReimbursement 日常报销
     * @return 结果
     */
    public int insertFyglDailyReimbursement(FyglDailyReimbursement fyglDailyReimbursement);

    List<FyglProjectList> getProjectList();
    /**
     * 修改日常报销
     * 
     * @param fyglDailyReimbursement 日常报销
     * @return 结果
     */
    public int updateFyglDailyReimbursement(FyglDailyReimbursement fyglDailyReimbursement);

    /**
     * 批量删除日常报销
     * 
     * @param ids 需要删除的日常报销主键集合
     * @return 结果
     */
//    public int deleteFyglDailyReimbursementByIds(Long[] ids);

    /**
     * 删除日常报销信息
     * 
     * @param id 日常报销主键
     * @return 结果
     */
    public int deleteFyglDailyReimbursementById(Long id);

    List<FyglDailyReimbursementDTO> getProjectListByUserId(FyglDailyReimbursementVo fyglDailyReimbursementVO);
}
