package com.ruoyi.service;

import com.ruoyi.domain.dto.FyglTripApplicationDTO;
import com.ruoyi.domain.vo.FyglTripApplicationVo;

import java.util.List;

public interface IFyglTripApplicationService {
    /**
     * 查询出差申请
     *
     * @param id 出差申请主键
     * @return 出差申请
     */
    public FyglTripApplicationDTO selectFyglTripApplicationById(Long id);
    
    /**
     * 查询出差申请列表
     *
     * @return 出差申请集合
     */
    public List<FyglTripApplicationDTO> selectFyglTripApplicationList(FyglTripApplicationVo fyglTripApplicationVO);
    
    /**
     * 新增出差申请
     *
     * @param fyglTripApplicationDTO 出差申请
     * @return 结果
     */
    public int insertFyglTripApplication(FyglTripApplicationDTO fyglTripApplicationDTO);
    
    /**
     * 修改出差申请
     *
     * @param fyglTripApplicationDTO 出差申请
     * @return 结果
     */
    public int updateFyglTripApplication(FyglTripApplicationDTO fyglTripApplicationDTO);
    
    /**
     * 批量删除出差申请
     *
     * @param ids 需要删除的出差申请主键集合
     * @return 结果
     */
    public int deleteFyglTripApplicationByIds(Long[] ids);
    
    /**
     * 删除出差申请信息
     *
     * @param id 出差申请主键
     * @return 结果
     */
    public int deleteFyglTripApplicationById(Long id);
}
