package com.ruoyi.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.domain.dto.*;
import com.ruoyi.domain.vo.FyglTripApplicationVo;
import com.ruoyi.mapper.FyglTripApplicationMapper;
import com.ruoyi.service.IFyglTripApplicationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;


/**
 * 出差申请Service业务层处理
 *
 * @author ruoyi
 * @date 2025-03-16
 */
@Service
public class FyglTripApplicationServiceImpl implements IFyglTripApplicationService {
    
    @Autowired
    private FyglTripApplicationMapper fyglTripApplicationMapper;
    
    /**
     * 查询出差申请
     *
     * @param id 出差申请主键
     * @return 出差申请
     */
    @Override
    public FyglTripApplicationDTO selectFyglTripApplicationById(Long id)
    {
        FyglTripApplicationDTO fyglTripApplication = fyglTripApplicationMapper.selectFyglTripApplicationById(id);
        return fyglTripApplication;
    }
    
    @Override
    public List<FyglTripApplicationDTO> selectFyglTripApplicationList(FyglTripApplicationVo favo){
        List<FyglTripApplicationDTO> fyglTripApplications = fyglTripApplicationMapper.selectTripApplicationList(favo);
        
        return fyglTripApplications;
    }
    
    @Override
    public int insertFyglTripApplication(FyglTripApplicationDTO fyglTripApplicationDTO) {
        fyglTripApplicationDTO.setCreateBy(SecurityUtils.getUsername());
        Date nowDate = DateUtils.getNowDate();
        fyglTripApplicationDTO.setCreateTime(nowDate);
        fyglTripApplicationDTO.setUpdateBy(SecurityUtils.getUsername());
        fyglTripApplicationDTO.setUpdateTime(nowDate);
        //设置1未通过2审批中3已通过
        fyglTripApplicationDTO.setStatus(2);
        return fyglTripApplicationMapper.insertFyglTripApplication(fyglTripApplicationDTO);
    }
    
    @Override
    public int updateFyglTripApplication(FyglTripApplicationDTO fyglTripApplicationDTO) {
        fyglTripApplicationDTO.setUpdateBy(SecurityUtils.getUsername());
        fyglTripApplicationDTO.setUpdateTime(DateUtils.getNowDate());
        return fyglTripApplicationMapper.updateFyglTripApplication(fyglTripApplicationDTO);
    }
    
    @Override
    public int deleteFyglTripApplicationByIds(Long[] ids) {
        return 0;
    }
    
    @Override
    public int deleteFyglTripApplicationById(Long id) {
        return fyglTripApplicationMapper.deleteFyglTripApplicationById(id);
    }
}
