package com.ruoyi.service.impl;

import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.domain.*;
import com.ruoyi.domain.dto.DailyBaoXiaoApprovalDTO;
import com.ruoyi.domain.vo.DailyBaoXiaoApprovalVo;
import com.ruoyi.mapper.ExpenseApprovalMapper;
import com.ruoyi.service.IExpenseApprovalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class IExpenseApprovalServiceImpl implements IExpenseApprovalService {

    @Autowired
    private ExpenseApprovalMapper expenseApprovalMapper;

    @Override
    public List<RoleNameAndId> getExpenseApproval() {
        Long userId = SecurityUtils.getUserId();
        System.out.println("userId = " + userId);
        return expenseApprovalMapper.getRolesByUserId(userId);
    }

    @Override
    @Transactional
    public int updateStatus(List<ProjectCostRequestApproval> projectCostRequestApproval) {
        for(ProjectCostRequestApproval p : projectCostRequestApproval){
            //如果是最终审批，那么项目整体审批状态为已通过
            if(p.getIsEndApproval()){
                p.setApproveStatus(3);
            }
            expenseApprovalMapper.updateStatus(p);
        }
        return 1;
    }

    @Override
    @Transactional
    public int updateStatusReject(List<ProjectCostRequestApprovalReject> projectCostRequestApprovalRejects) {
        for(ProjectCostRequestApprovalReject p : projectCostRequestApprovalRejects){
            //设置状态为未通过
            p.setApproveStatus(1);
            expenseApprovalMapper.updateStatusReject(p);
        }
        return 1;
    }


    @Override
    @Transactional
    public int updateReimbursementStatus(List<ProjectCostReimbursementApproval> ProjectCostReimbursementApproval) {
        for(ProjectCostReimbursementApproval p : ProjectCostReimbursementApproval){
            //如果是最终审批，那么项目整体审批状态为已通过
            if(p.getIsEndApproval()){
                p.setApproveStatus(3);
            }
            expenseApprovalMapper.updateReimbursementStatus(p);
        }
        return 1;
    }

    @Override
    @Transactional
    public int updateReimbursementStatusReject(List<ProjectCostReimbursementApprovalReject> projectCostReimbursementApprovalRejects) {
        for(ProjectCostReimbursementApprovalReject p : projectCostReimbursementApprovalRejects){
            //设置状态为未通过
            p.setApproveStatus(1);
            expenseApprovalMapper.updateReimbursementStatusReject(p);
        }
        return 1;
    }

    @Override
    @Transactional
    public int updatetripApplicationStatus(List<TripApplicationApproval> fyglTripApplicationDTO) {
        for(TripApplicationApproval p : fyglTripApplicationDTO){
            //如果是最终审批，那么项目整体审批状态为已通过
            if(p.getIsEndApproval()){
                p.setApproveStatus(3);
            }
            expenseApprovalMapper.updatetripApplicationStatus(p);
        }
        return 1;
    }

    @Override
    @Transactional
    public int updatetripApplicationStatusReject(List<TripApplicationApprovalReject> fyglTripApplicationDTO) {
        for(TripApplicationApprovalReject p : fyglTripApplicationDTO){
            //设置状态为未通过
            p.setApproveStatus(1);
            expenseApprovalMapper.updatetripApplicationStatusReject(p);
        }
        return 1;
    }

    @Override
    public List<DailyBaoXiaoApprovalDTO> getDailyBaoXiaoApproval(DailyBaoXiaoApprovalVo dailyBaoXiaoApprovalVo) {
        //应该获取当前用户角色，然后根据当前角色关联的项目id来筛选
        return expenseApprovalMapper.getDailyBaoXiaoApproval(dailyBaoXiaoApprovalVo);
    }
    
    @Override
    @Transactional
    public int updateDailyReimburseStatus(List<DailyReimburseApproval> fyglDailyReimburseDTO) {
        for(DailyReimburseApproval p : fyglDailyReimburseDTO){
            //如果是最终审批，那么项目整体审批状态为已通过
            if(p.getIsEndApproval()){
                p.setApproveStatus(3);
            }
            expenseApprovalMapper.updateDailyReimburseStatus(p);
        }
        return 1;
    }
    
    @Override
    @Transactional
    public int updateDailyReimburseStatusReject(List<DailyReimburseApprovalReject> fyglDailyReimburseDTO) {
        for(DailyReimburseApprovalReject p : fyglDailyReimburseDTO){
            //设置状态为未通过
            p.setApproveStatus(1);
            expenseApprovalMapper.updateDailyReimburseStatusReject(p);
        }
        return 1;
    }

    @Override
    @Transactional
    public int updatetravelOnBusinessStatus(List<TravelOnBusinessApproval> fyglTravelOnBusinessDTO) {
        for(TravelOnBusinessApproval p : fyglTravelOnBusinessDTO){
            //如果是最终审批，那么项目整体审批状态为已通过
            if(p.getIsEndApproval()){
                p.setApproveStatus(3);
            }
            expenseApprovalMapper.updatetravelOnBusinessStatus(p);
        }
        return 1;
    }

    @Override
    @Transactional
    public int updatetravelOnBusinessStatusReject(List<TravelOnBusinessApprovalReject> fyglTravelOnBusinessDTO) {
        for(TravelOnBusinessApprovalReject p : fyglTravelOnBusinessDTO){
            //设置状态为未通过
            p.setApproveStatus(1);
            expenseApprovalMapper.updatetravelOnBusinessStatusReject(p);
        }
        return 1;
    }

}
