package com.ruoyi.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.domain.dto.FyglProjectCostDTO;
import com.ruoyi.domain.dto.FyglProjectCostReimbursementDTO;
import com.ruoyi.domain.vo.FyglDailyReimbursementVo;
import com.ruoyi.mapper.FyglProjectCostMapper;
import com.ruoyi.mapper.FyglProjectCostReimbursementMapper;
import com.ruoyi.service.IFyglProjectCostReimbursementService;
import com.ruoyi.utils.SerialNumberGenerator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class IFyglProjectCostReimbursementServiceImpl implements IFyglProjectCostReimbursementService {
  
  
    @Autowired
    private FyglProjectCostReimbursementMapper reimbursementMapper;

    @Autowired
    private FyglProjectCostMapper costMapper;

    @Autowired
    private SerialNumberGenerator serialNumberGenerator;

   @Override
    public List<FyglProjectCostReimbursementDTO> getList(FyglProjectCostReimbursementDTO ReimbursementDTO) {
        return reimbursementMapper.getList(ReimbursementDTO);
    }

    //获取报销详情
    @Override
    public FyglProjectCostReimbursementDTO getDetail(Integer id) {
        return reimbursementMapper.getDetail(id);
    }

    @Override
    public List<FyglProjectCostDTO> approvestatus3List(FyglProjectCostDTO fyglProjectCostDTO) {
        return reimbursementMapper.approvestatus3List(fyglProjectCostDTO);
    }

    @Override
    @Transactional
    public int insertReimbursement(FyglDailyReimbursementVo fyglDailyReimbursementVo) {
       //先根据申请id，如果已经把这个id作为报销的rid的话，那么就让申请页面列表不显示
        //审批状态-1表示已经报销关联0保存1未通过2审批中3已通过
        int i = costMapper.changeStatus(fyglDailyReimbursementVo.getRid(), -1);
        //再插入主表
        fyglDailyReimbursementVo.setCreateBy(SecurityUtils.getUsername());
        fyglDailyReimbursementVo.setUpdateBy(SecurityUtils.getUsername());
        fyglDailyReimbursementVo.setCreateTime(DateUtils.getNowDate());
        fyglDailyReimbursementVo.setUpdateTime(DateUtils.getNowDate());
        fyglDailyReimbursementVo.setReimbursmentApproveStatus(2);
        fyglDailyReimbursementVo.setSerialNumber(serialNumberGenerator.generateSerialNumber("fybx"));
        reimbursementMapper.insertReimbursement(fyglDailyReimbursementVo);
        return i;
    }

    @Override
    public int updateReimbursement(FyglDailyReimbursementVo fyglDailyReimbursementVo) {
        fyglDailyReimbursementVo.setUpdateBy(SecurityUtils.getUsername());
        fyglDailyReimbursementVo.setUpdateTime(DateUtils.getNowDate());
        return reimbursementMapper.updateReimbursement(fyglDailyReimbursementVo);
    }

    @Override
    @Transactional
    public int delflag(Integer id) {
        //审批状态-1表示已经报销关联0保存1未通过2审批中3已通过
        //获取rid
        Integer rid = costMapper.getRid(id);
        costMapper.changeStatus(rid, 3);
        return reimbursementMapper.deleteReimbursement(id);
    }

    @Override
    public List<FyglProjectCostReimbursementDTO> getListByIds(Long [] ids) {
        return reimbursementMapper.getListByIds(ids);
    }
}
