package com.ruoyi.service.impl;

import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.domain.dto.FyglProjectCostDTO;
import com.ruoyi.domain.dto.FyglProjectDTO;
import com.ruoyi.domain.dto.FyglProjectList;
import com.ruoyi.domain.dto.FyglProjectManagerList;
import com.ruoyi.mapper.FyglDailyReimbursementMapper;
import com.ruoyi.mapper.FyglProjectCostMapper;
import com.ruoyi.service.IFyglProjectCostService;
import com.ruoyi.system.mapper.SysUserMapper;
import com.ruoyi.utils.SerialNumberGenerator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class IFyglProjectCostServiceImpl implements IFyglProjectCostService {
    @Autowired
    private FyglProjectCostMapper projectCostMapper;

    @Autowired
    private SerialNumberGenerator serialNumberGenerator;

    @Autowired
    private FyglDailyReimbursementMapper dailyReimbursementMapper;

    @Autowired
    private SysUserMapper sysUserMapper;
    @Override
    public List<FyglProjectCostDTO> getList(FyglProjectCostDTO fyglProjectCostDTO) {
        if (!(fyglProjectCostDTO.getUserName() == null || fyglProjectCostDTO.getUserName().isEmpty())) {
            SysUser sysUser = sysUserMapper.selectUserByUserName(fyglProjectCostDTO.getUserName());
            if (sysUser != null) {
                fyglProjectCostDTO.setUserId(sysUser.getUserId());
            }else fyglProjectCostDTO.setUserId(-9999999L);
        }

        return projectCostMapper.getList(fyglProjectCostDTO);
    }

    @Override
    public FyglProjectCostDTO getDetail(Integer id) {
        return projectCostMapper.getDetail(id);
    }

    //插入方法
    @Override
    public int insertProjectCost(FyglProjectCostDTO fyglProjectCostDTO) {

        fyglProjectCostDTO.setCreateBy(SecurityUtils.getUsername());
        Date nowDate = DateUtils.getNowDate();
        fyglProjectCostDTO.setCreateTime(nowDate);
        fyglProjectCostDTO.setUpdateBy(SecurityUtils.getUsername());
        fyglProjectCostDTO.setUpdateTime(nowDate);
        //设置1未通过2审批中3已通过
        fyglProjectCostDTO.setApproveStatus(2);
        return projectCostMapper.insertProjectCost(fyglProjectCostDTO);
    }

    @Override
    public List<FyglProjectList> getAllProject() {
        return dailyReimbursementMapper.getProjectList();
    }

    @Override
    public FyglProjectDTO getProjectDetail(Long pid) {
        return dailyReimbursementMapper.getProjectDetail(pid);
    }

    @Override
    public int updateProjectCost(FyglProjectCostDTO fyglProjectCostDTO) {
        fyglProjectCostDTO.setUpdateBy(SecurityUtils.getUsername());
        fyglProjectCostDTO.setUpdateTime(DateUtils.getNowDate());
        return projectCostMapper.updateProjectCost(fyglProjectCostDTO);
    }

    @Override
    public int deleteProjectCost(Integer id) {
        return projectCostMapper.deleteProjectCost(id);
    }

    @Override
    public List<String> getProjectNameList() {
        return projectCostMapper.getProjectNameList();
    }

    @Override
    public List<FyglProjectCostDTO> getProjectCostListByIds(Long[] ids) {
        return projectCostMapper.getProjectCostListByIds(ids);
    }

    @Override
    public List<FyglProjectManagerList> getAllProjectManager() {
        return projectCostMapper.getProjectManagerList();
    }
}
