package com.ruoyi.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.domain.dto.FyglTravelOnBusinessDTO;
import com.ruoyi.mapper.IFyglTravelOnBusinessMapper;
import com.ruoyi.service.IFyglTravelOnBusinessService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class IFyglTravelOnBusinessServiceImpl implements IFyglTravelOnBusinessService {

    @Autowired
    private IFyglTravelOnBusinessMapper onBusinessMapper;
    
    /**
     * 查询差旅报销
     *
     * @param id 差旅报销主键
     * @return 差旅报销
     */
    @Override
    public FyglTravelOnBusinessDTO selectFyglTravelOnBusinessListById(Long id)
    {
        FyglTravelOnBusinessDTO fyglTravelOnBusiness = onBusinessMapper.selectFyglTravelOnBusinessListById(id);
        return fyglTravelOnBusiness;
    }
    
    @Override
    public List<FyglTravelOnBusinessDTO> getFyglTravelOnBusinessList(FyglTravelOnBusinessDTO fyg) {
        return onBusinessMapper.getFyglTravelOnBusinessList(fyg);
    }
    
    @Override
    public int insertFyglTravelOnBusiness(FyglTravelOnBusinessDTO fyglTravelOnBusinessDTO) {
        fyglTravelOnBusinessDTO.setCreateBy(SecurityUtils.getUsername());
        Date nowDate = DateUtils.getNowDate();
        fyglTravelOnBusinessDTO.setCreateTime(nowDate);
        fyglTravelOnBusinessDTO.setUpdateBy(SecurityUtils.getUsername());
        fyglTravelOnBusinessDTO.setUpdateTime(nowDate);
        //设置1未通过2审批中3已通过
        fyglTravelOnBusinessDTO.setStatus(2);
        return onBusinessMapper.insertFyglTravelOnBusiness(fyglTravelOnBusinessDTO);
    }
    
    @Override
    public int updateFyglTravelOnBusiness(FyglTravelOnBusinessDTO fyglTravelOnBusinessDTO) {
        fyglTravelOnBusinessDTO.setUpdateBy(SecurityUtils.getUsername());
        fyglTravelOnBusinessDTO.setUpdateTime(DateUtils.getNowDate());
        return onBusinessMapper.updateFyglTravelOnBusiness(fyglTravelOnBusinessDTO);
    }
    
    @Override
    public int deleteFyglTravelOnBusinessById(Long id) {
        return onBusinessMapper.deleteFyglTravelOnBusinessById(id);
    }
}
