package com.ruoyi.service.impl;
import com.ruoyi.domain.vo.ProjectEmployeeInfoVo;
import com.ruoyi.mapper.ProjectEmployeeInfoMapper;
import com.ruoyi.service.IProjectEmployeeInfoService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class ProjectEmployeeInfoServiceImpl implements IProjectEmployeeInfoService {

    @Autowired
    private ProjectEmployeeInfoMapper projectManageMapper;


    // 初始化 logger
    private static final Logger logger = LoggerFactory.getLogger(ProjectEmployeeInfoServiceImpl.class);
    @Override
    public List<ProjectEmployeeInfoVo> getProjectEmployeeInfo(String projectManagerNickName) {
        logger.info("Fetching project employee info for project manager: {}", projectManagerNickName);
        List<ProjectEmployeeInfoVo> projectEmployeeInfoList = projectManageMapper.getProjectEmployeeInfo(projectManagerNickName);
        logger.info("Fetched project employee info: {}", projectEmployeeInfoList);
        return projectEmployeeInfoList;
    }
}
