package com.ruoyi.utils;

import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.Date;
import java.util.Random;
import java.util.concurrent.atomic.AtomicInteger;

//生成各种编号
@Component
public class SerialNumberGenerator {

    private  final AtomicInteger counter = new AtomicInteger(0);

    //生成流水号，参数传入业务名称缩写，比如日常管理：rcgl
    public  String generateSerialNumber(String qian) {
        // 获取当前日期
        String datePart = new SimpleDateFormat("yyyyMMdd").format(new Date());
        // 生成递增序列
        int sequencePart = counter.incrementAndGet();
        return String.format("%s-%s-%04d",qian, datePart, sequencePart); // 格式化流水号
    }

    //生成审批编号,参数传入审批名字：日常报销审批
    public  String generateApprovalNumber() {


        // 获取当前日期并格式化为 YYYYMMDD
        LocalDate currentDate = LocalDate.now();
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyyMMdd");
        String datePart = currentDate.format(formatter);

        // 生成 4 位随机数字
        Random random = new Random();
        int randomNumber = random.nextInt(9000) + 1000;
        String randomPart = String.valueOf(randomNumber);

        // 组合成审批编号
        return datePart + "-" + randomPart;
    }

}
